<template>
    <b-navbar
        type="dark"
        toggleable="lg"
    >
        <div class="navbar-header">
            <b-navbar-brand>
                <img
                    src="/images/logo.svg"
                    alt=""
                >
            </b-navbar-brand>
        </div>
        <b-navbar-toggle target="nav-collapse" />
        <b-collapse
            id="nav-collapse"
            is-nav
        >
            <b-navbar-nav>
                <switch-platform @updPlatform="$emit('updPlatform')" />
                <b-nav-item
                    v-for="(header, index) in headerData"
                    :key="index"
                    :to="header.route"
                >
                    {{ header.title }}
                </b-nav-item>
            </b-navbar-nav>
        </b-collapse>
    </b-navbar>
</template>

<script>
import SwitchPlatform from './SwitchPlatform.vue'
export default {
    name: "SuperMobileHeader",
    components: { SwitchPlatform },
    data() {
        return {
            headerData: [
                {
                    title: 'Dashboard',
                    route: '/admin/dashboard'
                },
                {
                    title: 'Shops',
                    route: '/admin/shops'
                },
                // {
                //     title: 'Shops Sales',
                //     route: '/admin/shops/sales'
                // },
                {
                    title: 'Users',
                    route: '/admin/users'
                },
                {
                    title: 'Affiliates',
                    route: '/admin/affiliate'
                },
                {
                    title: 'Token Expiration Emails',
                    route: '/admin/token-expiration-emails'
                },
                {
                    title: 'Logs',
                    route: '/admin/logs'
                }
            ]
        }
    }
}
</script>

<style scoped lang="scss">

.navbar-dark .navbar-toggler {
    border: none;
    padding: 10px 15px;
}

.navbar {
    padding: 0;
}

.navbar-nav {
    padding: 15px;
}

.navbar-collapse {
    border-top: 1px solid #6ba1ff;
}

.navbar-dark .navbar-nav .nav-link {
    color: white;
}

.navbar-dark .navbar-nav .nav-link.active {
    color: rgba(255, 255, 255, 0.5);
}

button:focus {
     outline: none;

}
.navbar-header {
    padding: 5px;
}

</style>
